.sidenav {
  height: 100%;
  width: 70px;
  max-width: 216px;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: #2a3142;
  overflow-x: hidden;
  transition: 0.5s;
  z-index: 99;
  ul {
    padding-left: 0px;
    & li {
      color: #565d70;
    }
  }
  .material-icons svg {
    fill: inherit;
  }
  .side-menu {
    li:first-child {
      &:hover {
        .mat-icon {
          color: #f05050;
        }
      }
      a {
        padding: 13px;
      }
      .material-icons {
        vertical-align: middle;
        font-size: 38px;
        height: 35px;
        width: 35px;
        color: #0e76bc;
      }
    }
    li {
       border-left: 3px solid #2a3142;
      &.active,
      &:hover:not(:first-child) {
        background-color: #192032;
        border-left: 3px solid #f05050;
        a {
          color: #fff;
          min-width: 216px;
        }
      }
      // border-bottom: 0.1px solid #565d70;
      display: table;
      width:100%;
      a {
        padding: 13px;
        text-decoration: none;
        font-size: larger;
        color: #818181;
        display: block;
        transition: 0.3s;
        min-width: 216px;
        display: table;
        min-height: 68px;
        .svg-icon {
          height: 35px;
          width: 35px;
        }
        .svg-holder {
          display: table-cell;
          vertical-align: middle;
        }
      }
      .material-icons {
        vertical-align: middle;
        font-size: 29px;
        height: 29px;
        width: 29px;
        display: table-cell;
      }
      .title {
        vertical-align: middle;
        padding-left: 13px;
        text-transform: capitalize;
        display: none;
      }
    }
  }
  &.sidenav-opened {
    width: 216px;
    .side-menu {
      li .title {
        display: table-cell;
      }
      li:first-child {
        .mat-icon {
          color: #f05050;
        }
      }
    }
  }
}

.sidenav a:hover,
.offcanvas a:focus {
  color: #f1f1f1;
}

#main {
  transition: margin-left .5s; // padding: 20px;
  margin-left: 70px;
  min-height: 100%;
  background-color: #efefef;
  z-index: 98;
  &.menu-opened {
    margin-left: 216px;
    .overlay {
      top: 0px;
      bottom: 0px;
      left: 0px;
      right: 0px;
      background: rgba(0, 0, 0, 0.4);
      position: fixed;
    }
  }
  &:before {
    display: table;
  }
}
